Problems with plugins!! Help please!

Added by Carlos Scaloni about 8 years ago

Hi friends!

I need your help! I'm not be able to install "Code Review plugin" and "Checkout plugin". I have installed the version 1.2.1 of Redmine!

With Checkout plugin this is the error:

Migrating redmine_checkout...
UpdateSettings: migrating ===============================================
rake aborted!
An error has occurred, all later migrations canceled:

undefined method `has_key?' for "":String
/usr/local/lib/redmine-1.2.1/vendor/plugins/redmine_checkout/db/migrate/20100203202320_update_settings.rb:8:in `up_without_benchmarks'
/var/lib/gems/1.8/gems/activerecord-2.3.11/lib/active_record/migration.rb:282:in `send'
/var/lib/gems/1.8/gems/activerecord-2.3.11/lib/active_record/migration.rb:282:in `migrate'
/usr/lib/ruby/1.8/benchmark.rb:293:in `measure'
/var/lib/gems/1.8/gems/activerecord-2.3.11/lib/active_record/migration.rb:282:in `migrate'
/var/lib/gems/1.8/gems/activerecord-2.3.11/lib/active_record/migration.rb:365:in `__send__'
/var/lib/gems/1.8/gems/activerecord-2.3.11/lib/active_record/migration.rb:365:in `migrate'
/var/lib/gems/1.8/gems/activerecord-2.3.11/lib/active_record/migration.rb:491:in `migrate'
/var/lib/gems/1.8/gems/activerecord-2.3.11/lib/active_record/migration.rb:567:in `call'
/var/lib/gems/1.8/gems/activerecord-2.3.11/lib/active_record/migration.rb:567:in `ddl_transaction'
/var/lib/gems/1.8/gems/activerecord-2.3.11/lib/active_record/migration.rb:490:in `migrate'
/var/lib/gems/1.8/gems/activerecord-2.3.11/lib/active_record/migration.rb:477:in `each'
/var/lib/gems/1.8/gems/activerecord-2.3.11/lib/active_record/migration.rb:477:in `migrate'
/var/lib/gems/1.8/gems/activerecord-2.3.11/lib/active_record/migration.rb:401:in `up'
/var/lib/gems/1.8/gems/activerecord-2.3.11/lib/active_record/migration.rb:383:in `migrate'
/usr/local/lib/redmine-1.2.1/vendor/plugins/engines/lib/engines/plugin/migrator.rb:20:in `migrate_plugin'
/usr/local/lib/redmine-1.2.1/config/../vendor/plugins/engines/lib/engines/plugin.rb:93:in `migrate'
/usr/local/lib/redmine-1.2.1/lib/tasks/migrate_plugins.rake:8
/usr/local/lib/redmine-1.2.1/lib/tasks/migrate_plugins.rake:5:in `each'
/usr/local/lib/redmine-1.2.1/lib/tasks/migrate_plugins.rake:5
/var/lib/gems/1.8/gems/rake-0.9.2/lib/rake/task.rb:205:in `call'
/var/lib/gems/1.8/gems/rake-0.9.2/lib/rake/task.rb:205:in `execute'
/var/lib/gems/1.8/gems/rake-0.9.2/lib/rake/task.rb:200:in `each'
/var/lib/gems/1.8/gems/rake-0.9.2/lib/rake/task.rb:200:in `execute'
/var/lib/gems/1.8/gems/rake-0.9.2/lib/rake/task.rb:158:in `invoke_with_call_chain'
/usr/lib/ruby/1.8/monitor.rb:242:in `synchronize'
/var/lib/gems/1.8/gems/rake-0.9.2/lib/rake/task.rb:151:in `invoke_with_call_chain'
/var/lib/gems/1.8/gems/rake-0.9.2/lib/rake/task.rb:144:in `invoke'
/usr/lib/ruby/1.8/rake.rb:2051:in `invoke_task'
/usr/lib/ruby/1.8/rake.rb:2029:in `top_level'
/usr/lib/ruby/1.8/rake.rb:2029:in `each'
/usr/lib/ruby/1.8/rake.rb:2029:in `top_level'
/usr/lib/ruby/1.8/rake.rb:2068:in `standard_exception_handling'
/usr/lib/ruby/1.8/rake.rb:2023:in `top_level'
/usr/lib/ruby/1.8/rake.rb:2001:in `run'
/usr/lib/ruby/1.8/rake.rb:2068:in `standard_exception_handling'
/usr/lib/ruby/1.8/rake.rb:1998:in `run'
/usr/bin/rake:28

And this is the problem with Code Review:

Migrating redmine_checkout...
UpdateSettings: migrating ===============================================
rake aborted!
An error has occurred, all later migrations canceled:

undefined method `has_key?' for "":String
/usr/local/lib/redmine-1.2.1/vendor/plugins/redmine_checkout/db/migrate/20100203202320_update_settings.rb:8:in `up_without_benchmarks'
/var/lib/gems/1.8/gems/activerecord-2.3.11/lib/active_record/migration.rb:282:in `send'
/var/lib/gems/1.8/gems/activerecord-2.3.11/lib/active_record/migration.rb:282:in `migrate'
/usr/lib/ruby/1.8/benchmark.rb:293:in `measure'
/var/lib/gems/1.8/gems/activerecord-2.3.11/lib/active_record/migration.rb:282:in `migrate'
/var/lib/gems/1.8/gems/activerecord-2.3.11/lib/active_record/migration.rb:365:in `__send__'
/var/lib/gems/1.8/gems/activerecord-2.3.11/lib/active_record/migration.rb:365:in `migrate'
/var/lib/gems/1.8/gems/activerecord-2.3.11/lib/active_record/migration.rb:491:in `migrate'
/var/lib/gems/1.8/gems/activerecord-2.3.11/lib/active_record/migration.rb:567:in `call'
/var/lib/gems/1.8/gems/activerecord-2.3.11/lib/active_record/migration.rb:567:in `ddl_transaction'
/var/lib/gems/1.8/gems/activerecord-2.3.11/lib/active_record/migration.rb:490:in `migrate'
/var/lib/gems/1.8/gems/activerecord-2.3.11/lib/active_record/migration.rb:477:in `each'
/var/lib/gems/1.8/gems/activerecord-2.3.11/lib/active_record/migration.rb:477:in `migrate'
/var/lib/gems/1.8/gems/activerecord-2.3.11/lib/active_record/migration.rb:401:in `up'
/var/lib/gems/1.8/gems/activerecord-2.3.11/lib/active_record/migration.rb:383:in `migrate'
/usr/local/lib/redmine-1.2.1/vendor/plugins/engines/lib/engines/plugin/migrator.rb:20:in `migrate_plugin'
/usr/local/lib/redmine-1.2.1/config/../vendor/plugins/engines/lib/engines/plugin.rb:93:in `migrate'
/usr/local/lib/redmine-1.2.1/lib/tasks/migrate_plugins.rake:8
/usr/local/lib/redmine-1.2.1/lib/tasks/migrate_plugins.rake:5:in `each'
/usr/local/lib/redmine-1.2.1/lib/tasks/migrate_plugins.rake:5
/var/lib/gems/1.8/gems/rake-0.9.2/lib/rake/task.rb:205:in `call'
/var/lib/gems/1.8/gems/rake-0.9.2/lib/rake/task.rb:205:in `execute'
/var/lib/gems/1.8/gems/rake-0.9.2/lib/rake/task.rb:200:in `each'
/var/lib/gems/1.8/gems/rake-0.9.2/lib/rake/task.rb:200:in `execute'
/var/lib/gems/1.8/gems/rake-0.9.2/lib/rake/task.rb:158:in `invoke_with_call_chain'
/usr/lib/ruby/1.8/monitor.rb:242:in `synchronize'
/var/lib/gems/1.8/gems/rake-0.9.2/lib/rake/task.rb:151:in `invoke_with_call_chain'
/var/lib/gems/1.8/gems/rake-0.9.2/lib/rake/task.rb:144:in `invoke'
/usr/lib/ruby/1.8/rake.rb:2051:in `invoke_task'
/usr/lib/ruby/1.8/rake.rb:2029:in `top_level'
/usr/lib/ruby/1.8/rake.rb:2029:in `each'
/usr/lib/ruby/1.8/rake.rb:2029:in `top_level'
/usr/lib/ruby/1.8/rake.rb:2068:in `standard_exception_handling'
/usr/lib/ruby/1.8/rake.rb:2023:in `top_level'
/usr/lib/ruby/1.8/rake.rb:2001:in `run'
/usr/lib/ruby/1.8/rake.rb:2068:in `standard_exception_handling'
/usr/lib/ruby/1.8/rake.rb:1998:in `run'
/usr/bin/rake:28
redmine:/usr/local/lib/redmine-1.2.1/vendor/gems#

Thanks a lot in advance!!

Kind regards!!

Replies (1)

RE: Problems with plugins!! Help please! - Added by Carlos Scaloni about 8 years ago

Doing:

gem install activerecord
gem install rake

I fixed the problem with Code Review Plugin!!

But I have the same problem with Redmine Checkout Plugin!

(1-1/1)